using BaseDomain.Results;
using Postall.Domain.Dtos;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Postall.Domain.Services.Contracts
{
    public interface IVideoYoutubeService
    {
        Task<Result<VideoResponse>> GetVideoDetailsAsync(string videoId);
        Task<Result<List<VideoResponse>>> GetChannelVideosAsync(string channelId, int maxResults = 50);
        Task<Result<List<VideoResponse>>> SearchVideosAsync(string query, int maxResults = 10);
    }
}